# Uses of Class
ch.qos.logback.core.spi.ScanException

Packages that use ScanException
Package
Description
ch.qos.logback.core.pattern.parser
ch.qos.logback.core.subst

## Uses of ScanException in ch.qos.logback.core.pattern.parser

Methods in ch.qos.logback.core.pattern.parser that throw ScanException
Modifier and Type
Method
Description
`Node`
Parser.`parse()`
Constructors in ch.qos.logback.core.pattern.parser that throw ScanException
Modifier
Constructor
Description
``
`Parser(String pattern)`
``
`Parser(String pattern, IEscapeUtil escapeUtil)`

## Uses of ScanException in ch.qos.logback.core.subst

Methods in ch.qos.logback.core.subst that throw ScanException
Modifier and Type
Method
Description
`Node`
Parser.`parse()`
`static String`
NodeToStringTransformer.`substituteVariable(String input, PropertyContainer pc0, PropertyContainer pc1)`
`String`
NodeToStringTransformer.`transform()`